
QGIS Application - Bug report #14698

No labels shown when font Size is set to Map unit for labels

2016-04-18 03:57 AM - Burghardt Scholle

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.14.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22662

Description

Hi,

if I select map units under "layer properties -> labels -> Text style", my settings for size range are not applied. If I click "ok" and open the

dialog again, the entries have been deleted.

System: Windows 7 64bit, Xubuntu 14.04, QGIS 2.14.1

Regards

Burghardt

Associated revisions

Revision 3322bcb2 - 2016-04-25 01:46 PM - Nyall Dawson

Fix map unit scale parameters were not always saved for labeling

Refs #14698 - all settings are now saved but the size range in mm

is not yet respected during rendering

Revision 72714e6f - 2016-04-25 02:49 PM - Nyall Dawson

Fix label map unit scale range for font size and buffer

Refs #14698, but other label size parameters are still

ignoring scale ranges

Revision 6663fd2d - 2016-04-26 12:08 PM - Nyall Dawson

Fix map unit scale parameters were not always saved for labeling

Refs #14698 - all settings are now saved but the size range in mm

is not yet respected during rendering

(cherry-picked from 3322bc)

Revision e3517c6f - 2016-10-24 04:02 AM - Nyall Dawson
Fix text renderer not respecting min/max mm scale for map units (fix #14698)

History

#1 - 2016-04-24 01:32 AM - Saber Razmjooei

- Category set to Labelling

- Status changed from Open to Feedback

It works fine for me. Do you have an example file?

#2 - 2016-04-27 12:42 AM - Burghardt Scholle

- File label_test.zip added

Hi Saber,

please excuse my late reply - I was on leave.

Yes of course I have an example. In the uploaded zip-file you'll find a *.qgs and a simple shp-file. Even with these simple data the use of size range doesn't

work for me.

Perhaps I should point out that I work in a German system environment.

#3 - 2016-04-27 01:27 AM - Saber Razmjooei

- Status changed from Feedback to Open

- Priority changed from Normal to Severe/Regression

- Subject changed from Settings for text style "size range" in layer properties labels are not applied to No labels shown when font Size is set to Map unit 

for labels

#4 - 2016-04-27 01:56 AM - Saber Razmjooei

I can see it in commit:d9ee875 but not in the latest master commit:e9bc8ae. I guess it's been fixed but will be great to have it backported for 2.14.2 as it is

an annoying bug.

#5 - 2016-04-27 02:00 AM - Saber Razmjooei

- Priority changed from Severe/Regression to Normal

#6 - 2016-04-27 04:55 AM - Burghardt Scholle

Hi Saber,

I can confirm your experience. In the latest version (for me QGIS code revision "77d95b0") the size range works perfectly.

Thanks for the review.

#7 - 2016-10-23 07:02 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"e3517c6f4ca74360b8c99b6c5efc810b7327e0f0".

Files
label_test.zip 5.78 KB 2016-04-26 Burghardt Scholle
